New, 'Nimda-like' Microsoft vulnerability found

Microsoft Corp. issued a software patch Wednesday for what it described as a "critical" new security vulnerability affecting most versions of its Windows operating systems and certain versions of the Internet Explorer (IE) Web browser.

The security flaw affects the Microsoft Data Access Components (MDAC), a collection of components that provide database access for Windows platforms, according to a statement from Foundstone Inc., a software vulnerability management company in Mission Viejo, California, that discovered the flaw.

The vulnerability involves what's known as an "unchecked buffer" in the Remote Data Services (RDS) component of MDAC. The faulty code is in a function called the RDS Data Stub which is used to pull information from incoming HTTP requests and create RDS commands, according to Microsoft.

An attacker could exploit the security weakness by sending an improperly formatted HTTP (Hypertext Transfer Protocol) request to the Data Stub that contained a surplus of data, causing the buffer to overflow and the attacker's data to be placed and run on the affected machine.

The vulnerability affects certain versions of Windows NT, Windows 2000 and Windows Me, Microsoft said, and potentially other versions of its operating system. It said Windows XP users are not affected and need take no action.

The vulnerability received a severity rating of "critical" from Microsoft, the highest possible rating under the company's new vulnerability rating system, which was announced Tuesday. Microsoft defines critical vulnerabilities as those "whose exploitation could allow the propagation of an Internet worm such as Code Red or Nimda without user action."

The security hole is particularly menacing because of the large number of systems that are vulnerable to it and because of the ease with which existing worms such as Code Red or Nimda could be modified to take advantage of the newly disclosed flaw, said Stuart McClure, Foundstone's president and chief technical officer.

"What makes it really quite dangerous is that it can be easily added to a worm," McClure said.

"It's very much in line with Code Red and Nimda because of the attack vectors and the ways that it attacks. But with this vulnerability both the server and client component can be attacked, as opposed to Code Red and Nimda, which basically exploited server-based vulnerabilities and didn't take advantage of a browser based vulnerability like this," he said.

Foundstone discovered the vulnerability in August and disclosed the information to Microsoft at that time, McClure said.

The vulnerability affects MDAC versions 2.1, 2.5 and 2.6, according to Microsoft. MDAC is installed and implemented by default in Windows 2000, and within the Windows NT 4.0 option pack.

Machines running Internet Explorer versions 5.01, 5.5 and 6.0 are also affected by the new vulnerability, Microsoft said.

Earlier versions of either MDAC or Internet Explorer that are no longer supported may also be vulnerable, the software maker said.

Customers who are potentially affected are advised to review the appropriate security bulletin, MS02-065, on Microsoft's Web site. The bulletin is can be found here.

They should then download and install the software patch issued by Microsoft, which is found here.

Join the newsletter!

Error: Please check your email address.

More about FoundstoneMicrosoft

Show Comments

Market Place